<ion-button
    [color]="color"
    [mode]="mode"
    [expand]="expand"
    [fill]="fill"
    [size]="size"
    [shape]="shape"
    [href]="href"
    [target]="target"
    [rel]="rel"
    [loading]="loading"
    [disabled]="disabled"
    (click)="triggerButtonClick()"
    (keyPress)="triggerButtonClick()"
>
    <div
        class="button ion-align-items-center ion-justify-content-center"
        data-test-id="button-content"
    >
        <ion-spinner
            *ngIf="loading; else default"
            class="spinner-energized"
            data-test-id="loading"
        ></ion-spinner>
        <ng-template #default>
            <span
                class="ion-justify-content-center ion-align-items-center button__content"
                data-test-id="content"
            >
                <ion-label class="mt-1" data-test-id="title">{{
                    title
                }}</ion-label>
                <ion-icon
                    slot="end"
                    [name]="icon"
                    *ngIf="icon"
                    [ngClass]="[iconSize, title && 'ml-8']"
                    data-test-id="ion-icon"
                ></ion-icon>
            </span>
        </ng-template>
    </div>
</ion-button>
